<!doctype html>
<html lang="pl" xmlns:th="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="utf-8">
    <title></title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" href="/administration_panel.css" type="text/css" />
    <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@100;300;400&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=Parisienne&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=Raleway:wght@200;300;400&display=swap" rel="stylesheet">
</head>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
<body>

<div id="headerwrap">

    <div th:fragment="edit" class="col-md-9 center">
        <h2>Edytowanie informacji</h2>
        <div>
            <div class="form-register" id="myForm">
                <form th:action="@{/admin/news/add/save}" method="post" th:object="${news}" th:value="${viewType}" class="form-container-reg">
                    <label for="title" ><b>Tytuł</b></label>
                    <input type="text" id="title" name="title" th:field="*{title}" th:value="*{title}" required>
                    <br />
                    <br />
                    <label for="body" ><b>Treść</b></label>
                    <textarea id="body" name="body" th:field="*{body}" th:value="*{body}" required></textarea>
                    <br />
                    <br />
                    <input name="id" th:field="*{id}" th:value="*{id}" hidden>

                    <input name="attractions" th:field="*{attractions}" th:value="*{attractions}" hidden>

                    <label for="type"><b>Typ</b></label>
                    <select id="type" name="type">
                        <option  th:field="*{type}" th:value="nowość" th:selected="${#strings.equals(type, 'nowość')}">Nowość</option>
                        <option  th:field="*{type}" th:value="pogoda" th:selected="${#strings.equals(type, 'pogoda')}">Pogoda</option>
                        <option  th:field="*{type}" th:value="wydarzenie" th:selected="${#strings.equals(type, 'wydarzenie')}">Wydarzenie</option>
                    </select>
                    <br />
                    <br />
                    <button type="submit" class="btn">Zapisz</button>
                </form>
            </div>
        </div>
        <br>
    </div>
</div>

<div class="col-md-12 footer">
    <br />
    <h4>Wszelkie prawa zastrzeżone © 2020</h4>
</div>

<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js" integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa" crossorigin="anonymous"></script>
</body>
</html>